Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.nogrammarconstraints

## Class NoGrammarConstraintsCodeAction

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.nogrammarconstraints.NoGrammarConstraintsCodeAction

All Implemented Interfaces:
  `ICodeActionParticipant`

    public class NoGrammarConstraintsCodeAction
    extends Object
    implements ICodeActionParticipant

Code Action to bind a XML to a grammar (DTD, XSD) by generating the grammar.

### Constructor Summary

Constructors
`NoGrammarConstraintsCodeAction()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.eclipse.lsp4j.TextDocumentEdit` `createDocTypeEdit​(String dtdFileName, DOMDocument document, SharedSettings sharedSettings)`
`static org.eclipse.lsp4j.TextDocumentEdit` `createXmlModelEdit​(String schemaFileName, String targetNamespace, DOMDocument document, SharedSettings sharedSettings)`
`static org.eclipse.lsp4j.TextDocumentEdit` `createXSINoNamespaceSchemaLocationEdit​(String schemaFileName, DOMDocument document, SharedSettings sharedSettings)`
`static org.eclipse.lsp4j.TextDocumentEdit` `createXSISchemaLocationEdit​(String schemaFileName, String targetNamespace, DOMDocument document, SharedSettings sharedSettings)`
`void` `doCodeAction​(ICodeActionRequest request, List<org.eclipse.lsp4j.CodeAction> codeActions, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collect the code action in the given `codeActions` for the given code action request `request`.
`ICodeActionResolvesParticipant` `getResolveCodeActionParticipant​(String participantId)` Returns the codeAction resolver participant identified by the given `participantId` and null otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.ICodeActionParticipant

`doCodeActionUnconditional`

### Constructor Detail

#### NoGrammarConstraintsCodeAction

    public NoGrammarConstraintsCodeAction()

### Method Detail

#### doCodeAction

    public void doCodeAction​(ICodeActionRequest request,
                             List<org.eclipse.lsp4j.CodeAction> codeActions,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICodeActionParticipant`
Collect the code action in the given `codeActions` for the given code action request `request`.

Specified by:
  `doCodeAction` in interface `ICodeActionParticipant`
Parameters:
  `request` - the code action request.
  `codeActions` - list of code actions to fill.
  `cancelChecker` - the cancel checker.

#### getResolveCodeActionParticipant

    public ICodeActionResolvesParticipant getResolveCodeActionParticipant​(String participantId)

Description copied from interface: `ICodeActionParticipant`
Returns the codeAction resolver participant identified by the given `participantId` and null otherwise.

Specified by:
  `getResolveCodeActionParticipant` in interface `ICodeActionParticipant`
Parameters:
  `participantId` - the code action resolver participant ID.
Returns:
  the codeAction resolver participant identified by the given `participantId` and null otherwise.

#### createXSINoNamespaceSchemaLocationEdit

    public static org.eclipse.lsp4j.TextDocumentEdit createXSINoNamespaceSchemaLocationEdit​(String schemaFileName,
                                                                                            DOMDocument document,
                                                                                            SharedSettings sharedSettings)
                                                                                     throws BadLocationException

Throws:
  `BadLocationException`

#### createXSISchemaLocationEdit

    public static org.eclipse.lsp4j.TextDocumentEdit createXSISchemaLocationEdit​(String schemaFileName,
                                                                                 String targetNamespace,
                                                                                 DOMDocument document,
                                                                                 SharedSettings sharedSettings)
                                                                          throws BadLocationException

Throws:
  `BadLocationException`

#### createXmlModelEdit

    public static org.eclipse.lsp4j.TextDocumentEdit createXmlModelEdit​(String schemaFileName,
                                                                        String targetNamespace,
                                                                        DOMDocument document,
                                                                        SharedSettings sharedSettings)
                                                                 throws BadLocationException

Throws:
  `BadLocationException`

#### createDocTypeEdit

    public static org.eclipse.lsp4j.TextDocumentEdit createDocTypeEdit​(String dtdFileName,
                                                                       DOMDocument document,
                                                                       SharedSettings sharedSettings)
                                                                throws BadLocationException

Throws:
  `BadLocationException`